unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SystemTray, Menus, ExtCtrls, StdCtrls, DirChooser, RegisteryUnit,
  ColoredLabel;

type
  TForm1 = class(TForm)
    SystemTrayIcon1: TSystemTrayIcon;
    SystemTrayIcon2: TSystemTrayIcon;
    PopupMenu1: TPopupMenu;
    Quitter1: TMenuItem;
    ImageList1: TImageList;
    ImageList2: TImageList;
    SystemTrayIcon3: TSystemTrayIcon;
    N1: TMenuItem;
    Afficher1: TMenuItem;
    PopupMenu2: TPopupMenu;
    Animer1: TMenuItem;
    Label1: TColoredLabel;
    DirChooser: TDirChooser;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    CheckBox: TCheckBox;
    Button1: TButton;
    RegBase: TRegisteryBase;
    Label6: TLabel;
    procedure Quitter1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Animer1Click(Sender: TObject);
    procedure Afficher1Click(Sender: TObject);
    procedure SystemTrayIcon2LeftClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBoxClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Quitter1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Label4.Caption:=RegBase.WinDir;
  Label5.caption:=RegBase.StartMenuDir;
  CheckBox.Checked:=RegBase.AutoRun;
end;

procedure TForm1.Animer1Click(Sender: TObject);
begin
  Animer1.Checked:=not Animer1.Checked;
  SystemTrayIcon3.Animate:=Animer1.Checked;
end;

procedure TForm1.Afficher1Click(Sender: TObject);
begin
  Show;
  Application.Restore;
end;

procedure TForm1.SystemTrayIcon2LeftClick(Sender: TObject);
begin
  if MessageDlg('Fermer '+Application.Title+' ?',mtConfirmation,[mbYES,mbNO],0)=mrYes then
    Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  DirChooser.Execute;
end;

procedure TForm1.CheckBoxClick(Sender: TObject);
begin
  RegBase.AutoRun:=CheckBox.Checked;
end;

end.
